import '/models/frequency.dart';

class Expense {
  final String name;
  final double cost;
  final Frequency frequency;
  final String description;

  const Expense(
      {required this.name,
      required this.cost,
      required this.frequency,
      required this.description});

  String toString() {
    return "$name, $cost, ${frequency.title}, $description";
  }

  double calcComparableCost() {
    return cost * frequency.timesPerYear;
  }
}
