// https://www.tutorialspoint.com/dart_programming/dart_programming_enumeration.htm
enum Frequency {
  daily(
    title: "Daily",
    hint: "Once Per Day",
    timesPerYear: 364.25,
  ),
  weekly(
    title: "Weekly",
    hint: "Once Per Week",
    timesPerYear: (364.25/7),
  ),
  biweekly(
    title: "Biweekly",
    hint: "Every Other Week",
    timesPerYear: (364.25/7/2),
  ),
  bimonthly(
    title: "Bimonthly",
    hint: "Twice Per Month",
    timesPerYear: 24,
  ),
  montly(
    title: "Monthly",
    hint: "Once Per Month",
    timesPerYear: 12,
  ),
  quarterly(
    title: "Quarterly",
    hint: "Every Three Months",
    timesPerYear: 4,
  ),
  biannual(
    title: "Biannual",
    hint: "Twice Per Year",
    timesPerYear: 2,
  ),
  yearly(
    title: "Yearly",
    hint: "Once Per Year",
    timesPerYear: 1,
  );

  const Frequency({
    required this.title,
    required this.hint,
    required this.timesPerYear,
  });

  final String title;
  final String hint;
  final double timesPerYear;
}
